<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__smif__block__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_smif_block_config_t</compoundname>
    <includes local="no">cy_smif_memslot.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__smif__block__config__t_1ae864772e8d80652cdaed72ce128069b8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_smif_block_config_t::memCount</definition>
        <argsstring />
        <name>memCount</name>
        <briefdescription>
<para>The number of SMIF memory defined. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="455" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="455" />
      </memberdef>
      <memberdef id="structcy__stc__smif__block__config__t_1a848414c2aff53f59f55f0e9c9a4be083" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__smif__mem__config__t">cy_stc_smif_mem_config_t</ref> **</type>
        <definition>cy_stc_smif_mem_config_t** cy_stc_smif_block_config_t::memConfig</definition>
        <argsstring />
        <name>memConfig</name>
        <briefdescription>
<para>The pointer to the array of the memory configuration structures of size Memory_count. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="456" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="456" />
      </memberdef>
      <memberdef id="structcy__stc__smif__block__config__t_1afc9185ba13c12d3b8365004ca429178b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_smif_block_config_t::majorVersion</definition>
        <argsstring />
        <name>majorVersion</name>
        <briefdescription>
<para>The version of the SMIF driver. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="457" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="457" />
      </memberdef>
      <memberdef id="structcy__stc__smif__block__config__t_1a65d39c5d12f1d6e886b7be1dae45f8ad" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_smif_block_config_t::minorVersion</definition>
        <argsstring />
        <name>minorVersion</name>
        <briefdescription>
<para>The version of the SMIF Driver. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="458" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="458" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This SMIF memory configuration structure is used to store the memory configuration for the memory mode of operation. </para>    </briefdescription>
    <detaileddescription>
<para>This data structure is stored in a fixed location in the flash. The data structure is required for the initialization of the SMIF in the SystemInit. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="289">
        <label>cy_stc_smif_block_config_t</label>
        <link refid="structcy__stc__smif__block__config__t" />
        <childnode refid="290" relation="usage">
          <edgelabel>memConfig</edgelabel>
        </childnode>
      </node>
      <node id="291">
        <label>cy_stc_smif_mem_device_cfg_t</label>
        <link refid="structcy__stc__smif__mem__device__cfg__t" />
        <childnode refid="292" relation="usage">
          <edgelabel>hybridRegionInfo</edgelabel>
        </childnode>
        <childnode refid="293" relation="usage">
          <edgelabel>programCmd</edgelabel>
          <edgelabel>writeDisCmd</edgelabel>
          <edgelabel>writeEnCmd</edgelabel>
          <edgelabel>readStsRegWipCmd</edgelabel>
          <edgelabel>eraseCmd</edgelabel>
          <edgelabel>readCmd</edgelabel>
          <edgelabel>readSfdpCmd</edgelabel>
          <edgelabel>writeStsRegQeCmd</edgelabel>
          <edgelabel>readStsRegQeCmd</edgelabel>
          <edgelabel>chipEraseCmd</edgelabel>
          <edgelabel>...</edgelabel>
        </childnode>
      </node>
      <node id="293">
        <label>cy_stc_smif_mem_cmd_t</label>
        <link refid="structcy__stc__smif__mem__cmd__t" />
      </node>
      <node id="292">
        <label>cy_stc_smif_hybrid_region_info_t</label>
        <link refid="structcy__stc__smif__hybrid__region__info__t" />
      </node>
      <node id="290">
        <label>cy_stc_smif_mem_config_t</label>
        <link refid="structcy__stc__smif__mem__config__t" />
        <childnode refid="291" relation="usage">
          <edgelabel>deviceCfg</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="459" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="453" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="454" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__smif__block__config__t_1afc9185ba13c12d3b8365004ca429178b" virt="non-virtual"><scope>cy_stc_smif_block_config_t</scope><name>majorVersion</name></member>
      <member prot="public" refid="structcy__stc__smif__block__config__t_1a848414c2aff53f59f55f0e9c9a4be083" virt="non-virtual"><scope>cy_stc_smif_block_config_t</scope><name>memConfig</name></member>
      <member prot="public" refid="structcy__stc__smif__block__config__t_1ae864772e8d80652cdaed72ce128069b8" virt="non-virtual"><scope>cy_stc_smif_block_config_t</scope><name>memCount</name></member>
      <member prot="public" refid="structcy__stc__smif__block__config__t_1a65d39c5d12f1d6e886b7be1dae45f8ad" virt="non-virtual"><scope>cy_stc_smif_block_config_t</scope><name>minorVersion</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>